Bug 1684703 - Manifest upload task takes too much time
Summary: Manifest upload task takes too much time
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Subscription Management
Version: 6.5.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified vote
Target Milestone: 6.4.3
Assignee: satellite6-bugs
QA Contact: jcallaha
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-01 21:52 UTC by Mike McCune
Modified: 2019-10-30 17:14 UTC (History)
6 users (show)

Fixed In Version: tfm-rubygem-katello-3.7.0.54-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1669186
Environment:
Last Closed: 2019-04-29 18:15:35 UTC
Target Upstream Version:


Attachments (Terms of Use)
verification screenshot (186.88 KB, image/png)
2019-04-17 14:50 UTC, jcallaha
no flags Details


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 25981 Normal Closed Manifest upload task takes too much time 2020-05-20 14:46:23 UTC
Red Hat Product Errata RHBA-2019:0903 None None None 2019-04-29 18:15:41 UTC

Comment 2 jcallaha 2019-04-08 20:49:24 UTC
While upload times are in the range we're expecting, we will need to bring in an additional fix outlined here: https://bugzilla.redhat.com/show_bug.cgi?id=1669186#c27

-bash-4.2# for i in {1..20}; do date && hammer -u admin -p changeme subscription upload --file manifest-latest.zip --organization-id 1 && date && hammer -u admin -p changeme subscription delete-manifest --organization-id 1; done
Mon Apr  8 16:30:57 EDT 2019
warning: Overriding "Content-Type" header "multipart/form-data" with "multipart/form-data; boundary=----RubyFormBoundaryIJzYPVwrkKojFfMD" due to payload
[.....................................................................................................................................................................................] [100%]
Mon Apr  8 16:32:03 EDT 2019
[.....................................................................................................................................................................................] [100%]
Mon Apr  8 16:32:26 EDT 2019
warning: Overriding "Content-Type" header "multipart/form-data" with "multipart/form-data; boundary=----RubyFormBoundaryZOquAxlexVlAgPcF" due to payload
[.....................................................................................................................................................................................] [100%]
Mon Apr  8 16:33:33 EDT 2019
[.....................................................................................................................................................................................] [100%]
Mon Apr  8 16:33:57 EDT 2019
warning: Overriding "Content-Type" header "multipart/form-data" with "multipart/form-data; boundary=----RubyFormBoundaryPvI3sthoYElml11z" due to payload
[.....................................................................................................................................................................................] [100%]
Error: PG::UniqueViolation: ERROR:  duplicate key value violates unique constraint "index_katello_pools_on_cp_id"
DETAIL:  Key (cp_id)=(8a90c3c369fe6ca80169fea874d24c57) already exists.
: INSERT INTO "katello_pools" ("cp_id", "created_at", "updated_at", "organization_id") VALUES ($1, $2, $3, $4) RETURNING "id"
Mon Apr  8 16:34:40 EDT 2019
warning: Overriding "Content-Type" header "multipart/form-data" with "multipart/form-data; boundary=----RubyFormBoundaryMZodDPTtBOMYgt7f" due to payload
[.....................................................................................................................................................................................] [100%]
Error: Import is the same as existing data
Mon Apr  8 16:35:16 EDT 2019

Comment 3 jcallaha 2019-04-17 14:50:14 UTC
Verified in Satellite 6.4.3 Snap 2

Ran a loop of 20 manifest uploads/deletions. Each took around 20-30 seconds to complete.

See attached screenshot for verification.

Comment 4 jcallaha 2019-04-17 14:50:34 UTC
Created attachment 1555930 [details]
verification screenshot

Comment 6 errata-xmlrpc 2019-04-29 18:15:35 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0903


Note You need to log in before you can comment on or make changes to this bug.